Package picard.sam.util

# Class RepresentativeReadIndexer

java.lang.Object
picard.sam.util.RepresentativeReadIndexer

public class RepresentativeReadIndexer extends Object
Little struct-like class to hold a record index, the index of the corresponding representative read, and duplicate set size information.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`readIndexInFile`
`int`
`representativeReadIndexInFile`
`int`
`setSize`

## Constructor Summary

Constructors
Constructor
Description
`RepresentativeReadIndexer()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### readIndexInFile

public int readIndexInFile

### setSize

public int setSize

### representativeReadIndexInFile

public int representativeReadIndexInFile

## Constructor Details

### RepresentativeReadIndexer

public RepresentativeReadIndexer()